Index: code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9805)
+++ code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9806)
@@ -3,5 +3,7 @@
 <!--
 To Do:
-
+- Different Colors of the light!
+- visibility of light only for a little time
+- If possible, do the spion with DistanceTriggerBeacon
 -->
 <LevelInfo
@@ -44,5 +46,5 @@
     targets="simpleNotification"
     size=3
-    displayTime=3.9
+    displayTime=5.0
     position="0.2, 0, 0.1, 0"
     fontSize="23"
@@ -63,23 +65,26 @@
 
 <!-- Spawntrigger -->    
-	<SpawnPoint team=0 position="0, 0, 0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow /> <!-- pawndesign=spaceshipcollateraldamage -->
-	
-	<EventMultiTrigger name=spawntrigger>
-	  <events>
-	    <trigger>
-	      <SpawnPoint team=0 position="0, 0, 0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow > <!-- pawndesign=spaceshipcollateraldamage -->
-	        <EventTrigger invert=true>
-		  <events>
-		    <trigger>
-		      <EventListener event="spacefight.flying2" />
-		    </trigger>
-		  </events>
-		</EventTrigger>
-              </SpawnPoint>
-	    </trigger>
-	  </events>
-	</EventMultiTrigger>	
-
-	<!-- Second Spawntrigger -->
+	<SpawnPoint team=0 position="0, 0, 0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow > <!-- pawndesign=spaceshipcollateraldamage -->
+	  <EventTrigger invert="true" >
+	    <events>
+	      <trigger>
+	        <EventListener event="flying1" />
+	      </trigger>
+            </events>
+	  </EventTrigger>
+	</SpawnPoint>
+
+
+	<SpawnPoint team=0 position="13500, 2500, 11000" lookat="18000,5000,21000" spawnclass=SpaceShip pawndesign=spaceshipswallow delay=0.1><!-- pawndesign=spaceshipcollateraldamage -->
+	  <EventTrigger>
+	    <events>
+	      <trigger>
+	        <EventListener event="flying1" />
+	      </trigger>
+	    </events>
+	  </EventTrigger>
+        </SpawnPoint>
+
+	<!-- Distance-Spawn-Trigger -->
 	<DistanceTrigger name=spawntrigger2 position="0, 0, 0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
 
@@ -99,5 +104,5 @@
 			completeMessage="Well done!" />
 		<complete-effects>
-			<AddQuest questId="spacefight.flying2" />
+			<AddQuest questId="spacefight.guard2" />
 		</complete-effects>
 	</LocalQuest>
@@ -114,22 +119,9 @@
 	</LocalQuest>
 
-	<LocalQuest id="spacefight.flying2">
-		<QuestDescription
-			title="To the second guard!"
-			description="There is another sentry on the way to the big mainship.
-				unfortunately, we also have to destroy this one.
-
-				The blinking light shows you the way to the sentry"
-			failMessage="You've lost all your ships!"
-			completeMessage="" />
-		<complete-effects>
-			<AddQuest questId="spacefight.guard2" />
-		</complete-effects>
-	</LocalQuest>
-
 	<LocalQuest id="spacefight.guard2">
 		<QuestDescription
 			title="The second guard!"
-			description="Destroy also this guard!"
+			description="There is also a second guard. The blinking light shows you the direction.
+				Destroy also this guard!"
 			failMessage="You've lost all your ships!"
 			completeMessage="" />
@@ -215,5 +207,4 @@
 
 <!-- QuestEffectBeacon's -->
-
 	<!-- START -->
 	<QuestEffectBeacon times=0>
@@ -239,9 +230,24 @@
 	</QuestEffectBeacon>
 
-
-	<BlinkingBillboard position="13500, 2500, 10500" color="1.0,1.0,1.0" frequency=0.6 amplitude=10 material="Examples/Flare" >
+	<SimpleNotification message="The blinking light shows you the way!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="flying1" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+
+
+	<BlinkingBillboard position="13500, 2500, 10500" color="1.0, 1.0, 0.05" frequency=0.6 amplitude=10 material="Examples/Flare" >
           <events>
             <visibility>
               <EventTrigger>
+		<EventTrigger invert=true>
+		  <events>
+		    <trigger>
+		      <EventListener event="flying2" />
+		    </trigger>
+		  </events>
+		</EventTrigger>
                 <events>
                   <trigger>
@@ -278,21 +284,7 @@
 	
 	<!-- Guard 2 -->
-
-	<!-- zum testen!
 	<QuestEffectBeacon times=0>
 		<effects>
-			<AddQuest questId="spacefight.flying2" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event=spawntrigger2 />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-	-->
-
-	<QuestEffectBeacon times=0>
-		<effects>
-			<CompleteQuest questId="spacefight.flying2" />
+			<CompleteQuest questId="spacefight.guard2" />
 		</effects>
 		<events>
@@ -303,15 +295,11 @@
 	</QuestEffectBeacon>
 
-	<QuestEffectBeacon times=0>
-		<effects>
-			<CompleteQuest questId="spacefight.guard2" />
-			<CompleteQuest questId="spacefight.upgrade1" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="guard2" /> <!-- eigentlich "guard2trigger4", aber funkt. nicht! -->
-			</execute>		
-		</events>
-	</QuestEffectBeacon>
+	<SimpleNotification message="Well done! Catch the spion!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="flying2" />
+			</trigger>
+		</events>
+	</SimpleNotification>
 
 	<!-- ESCAPE -->
@@ -330,5 +318,5 @@
 		<events>
 			<execute>
-				<EventListener event="secondPatrol" />
+				<EventListener event="escape" />
 			</execute>
 		</events>
@@ -413,5 +401,5 @@
 <!-- ---------------------------------------------------------------------- -->
 	<!-- Helper-Trigger for first guard -->
-	<DistanceTrigger name="flying1" position="9000, 0, 0" target="SpaceShip" distance=7000 stayActive="true" delay=0.1 >
+	<DistanceTrigger name="flying1" position="9000, 0, 0" target="SpaceShip" distance=10000 stayActive="true" delay=0.1 >
 		<EventTrigger>
 			<events>
@@ -424,6 +412,6 @@
 
 	<!-- Trigger to activate the upgrade1-Quest -->
-	<DistanceTrigger name="droneTrigger" position="13500, 2500, 10500" target="SpaceShip" distance=7000 stayActive="true" delay=0 />
-	<SimpleNotification message="search the drone!?"  broadcast="true">
+	<DistanceTrigger name="droneTrigger" position="13500, 2500, 10500" target="SpaceShip" distance=2000 stayActive="true" delay=0 />
+	<SimpleNotification message="Search the drone!?"  broadcast="true">
 		<events>
 			<trigger>
@@ -431,8 +419,18 @@
 			</trigger>
 		</events>
+	</SimpleNotification>	
+
+	<!-- Helper-Trigger for the drone(s) -->
+	<DistanceTrigger name="drone1" position="9750, -5350, 5650" target="SpaceShip" distance=20 stayActive="true" delay=0 />
+	<SimpleNotification message="Now your are prepared best!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="drone1" />
+			</trigger>
+		</events>
 	</SimpleNotification>
 
 	<!-- Helper-Trigger for second guard -->
-	<DistanceTrigger name="guard2" position="18000,5000,21000" target="SpaceShip" distance=7000 stayActive="true" delay=0.1 >
+	<DistanceTrigger name="flying2" position="18000,5000,21000" target="SpaceShip" distance=10000 stayActive="true" delay=0.1 >
 		<EventTrigger>
 			<events>
@@ -444,19 +442,21 @@
 	</DistanceTrigger>
 	
-
-
-	<!-- Helper-Trigger for the drone(s) -->
-	<DistanceTrigger name="drone1" position="9750, -5350, 5650" target="SpaceShip" distance=20 stayActive="true" delay=0 />
-	<SimpleNotification message="Now your are prepared best!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="drone1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
+	<!-- Helper-Trigger for the Escape-Quest -->
+	<DistanceTrigger name="escape" position="18000,5000,21000" target="SpaceShip" distance=10000 stayActive="true" delay=0 >
+		<EventTrigger>
+			<events>
+				<trigger>
+					<EventListener event="guard2trigger1" />
+				</trigger>
+			</events>
+		</EventTrigger>
+	</DistanceTrigger>
+
+
+
 
 	<!-- Helper-Trigger for mainship -->
 	<DistanceTrigger name="flying3" position="11000, 3000, 21000" target="SpaceShip" distance=1000 stayActive="true" delay=0 />
-	<SimpleNotification message="Hauptschiff in Sicht!"  broadcast="true">
+	<SimpleNotification message="Mainship sighted!"  broadcast="true">
 		<events>
 			<trigger>
@@ -476,6 +476,5 @@
 
 	<!-- DistanceTrigger for spion -->
-	<DistanceTrigger name="spionTrigger" position="0,-10000,42000" target="DistanceTriggerBeacon" targetname="spionBeacon" distance=100 stayActive="true" delay=0 beaconMode="identify" />
-
+	<DistanceTrigger name="spionTrigger" position="0,-10000,42000" target="SpaceShip" distance=50 stayActive="true" delay=0 />
 	<SimpleNotification message="spion is arrived!"  broadcast="true">
 		<events>
@@ -486,13 +485,14 @@
 	</SimpleNotification>
 
-	<DistanceTrigger name="destroyed" position="0,-10000,42000" target="DistanceTriggerBeacon" targetname="spionBeacon" distance=1000 stayActive="true" delay=0 beaconMode="exclude"/>
-	<SimpleNotification message="spion destroyed!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="spion" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-	<SimpleNotification message="quest should be completed"  broadcast="true">
+	<DistanceTrigger name="destroyed" position="8500,-3000,32000" target="SpaceShip" distance=100000 stayActive="true" delay=0 >
+		<EventTrigger>
+			<events>
+				<trigger>
+					<EventListener event="spion" />
+				</trigger>
+			</events>
+		</EventTrigger>
+	</DistanceTrigger>
+	<SimpleNotification message="Spion destroyed!"  broadcast="true">
 		<events>
 			<trigger>
@@ -543,13 +543,4 @@
     </EventTrigger>
 
-    <SimpleNotification message="Fly to the blinking light!"  broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="guard1trigger4" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-
 <!-- For Guard 2 -->
 <!-- @Triggers: attacktriggerX <-> X enemies destroyed , X is an element of [1,4] -->
@@ -583,14 +574,20 @@
     </EventTrigger>
 
-    <SimpleNotification message="Catch the spion"  broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="guard1trigger4" />
-            </trigger>
-        </events>
-    </SimpleNotification>
+	<SimpleNotification message="first"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="guard2trigger1" />
+			</trigger>
+		</events>
+	</SimpleNotification>
 
 <!-- For Escape -->
-	
+	<EventTrigger name="spion5" activations="1" stayactive="true" delay=0.1 >
+	  <events>
+	    <trigger>
+	      <EventListener event="spion" />
+	    </trigger>
+	  </events>
+	</EventTrigger>
 
 <!-- For last fight -->
@@ -735,5 +732,5 @@
   <events>
     <visibility>
-      <EventListener event="flying2" /> <!-- "guard1trigger4" -->
+      <EventListener event="guard1trigger4" />
     </visibility>
   </events>
@@ -755,5 +752,5 @@
       <events>
         <activity>
-          <EventListener event="flying2" /> <!-- "guard1trigger4" -->
+          <EventListener event="guard1trigger4" />
         </activity>
       </events>
@@ -765,5 +762,5 @@
   <events>
     <visibility>
-      <EventListener event="flying2" /> <!-- "guard1trigger4" -->
+      <EventListener event="guard1trigger4" />
     </visibility>
   </events>
@@ -785,5 +782,5 @@
       <events>
         <activity>
-          <EventListener event="flying2" /> <!-- "guard1trigger4" -->
+          <EventListener event="guard1trigger4" />
         </activity>
       </events>
@@ -795,5 +792,5 @@
   <events>
     <visibility>
-      <EventListener event="flying2" /> <!-- "guard1trigger4" -->
+      <EventListener event="guard1trigger4" />
     </visibility>
   </events>
@@ -815,5 +812,5 @@
       <events>
         <activity>
-          <EventListener event="flying2" /> <!-- "guard1trigger4" -->
+          <EventListener event="guard1trigger4" />
         </activity>
       </events>
@@ -825,5 +822,5 @@
   <events>
     <visibility>
-      <EventListener event="flying2" /> <!-- "guard1trigger4" -->
+      <EventListener event="guard1trigger4" />
     </visibility>
   </events>
@@ -845,5 +842,5 @@
       <events>
         <activity>
-          <EventListener event="flying2" /> <!-- "guard1trigger4" -->
+          <EventListener event="guard1trigger4" />
         </activity>
       </events>
@@ -865,6 +862,6 @@
     <WaypointController team=1>
       <waypoints>
-        <Model mesh="cube.mesh" scale=100 position="0,-10000,42000" /> <!-- "-7000,-10000,42000" -->
-        <Model mesh="cube.mesh" scale=100 position="-12000, -22000, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="0,-10000,42000" /> <!-- "-7000,-10000,42000" -->
+        <Model mesh="cube.mesh" scale=0 position="-12000, -22000, 25000" />
       </waypoints>
       <events>
@@ -875,7 +872,9 @@
     </WaypointController>
   </controller>
+<!--
   <attached>
     <DistanceTriggerBeacon name="spionBeacon" />
   </attached>
+-->
 </SpaceShip>
 
@@ -885,5 +884,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
+      <EventListener event="guard2trigger4" />
     </visibility>
   </events>
@@ -905,5 +904,5 @@
       <events>
 	<activity>
-	  <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
+	  <EventListener event="guard2trigger4" />
 	</activity>
       </events>
@@ -915,5 +914,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
+      <EventListener event="guard2trigger4" />
     </visibility>
   </events>
@@ -935,5 +934,5 @@
       <events>
 	<activity>
-	  <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
+	  <EventListener event="guard2trigger4" />
 	</activity>
       </events>
@@ -945,5 +944,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
+      <EventListener event="guard2trigger4" />
     </visibility>
   </events>
@@ -965,5 +964,5 @@
       <events>
 	<activity>
-	  <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
+	  <EventListener event="guard2trigger4" />
 	</activity>
       </events>
@@ -975,5 +974,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
+      <EventListener event="guard2trigger4" />
     </visibility>
   </events>
@@ -995,5 +994,5 @@
       <events>
 	<activity>
-	  <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
+	  <EventListener event="guard2trigger4" />
 	</activity>
       </events>
@@ -1006,5 +1005,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- "escaped" -->
+      <EventListener event="escaped" />
     </visibility>
   </events>
@@ -1026,5 +1025,5 @@
       <events>
 	<activity>
-	  <EventListener event=spawntrigger2 /> <!-- "escaped" -->
+	  <EventListener event="escaped" />
 	</activity>
       </events>
@@ -1036,5 +1035,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- "escaped" -->
+      <EventListener event="escaped" />
     </visibility>
   </events>
@@ -1056,5 +1055,5 @@
       <events>
 	<activity>
-	  <EventListener event=spawntrigger2 /> <!-- "escaped" -->
+	  <EventListener event="escaped" />
 	</activity>
       </events>
